FortiOS 6.4/7.0

Certificate details

Certificate ID #4443
Status historical
Historical reason Moved to historical list due to sunsetting
Validation dates 23.02.2023
Standard FIPS 140-2
Security level 1
Type Firmware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode. Authentication at level 3 is only applicable when identity-based authentication is enforced for the User role.
Exceptions
  • Roles, Services, and Authentication: Level 3
  • Design Assurance: Level 2
Description The FortiOS 6.4/7.0 is a firmware based operating system that runs exclusively on Fortinet's FortiGate/FortiWiFi product family. The FortiOS provides integrated firewall, VPN, antivirus, antispam, intrusion prevention, content filtering and traffic shaping and HA capabilities.
Version (Firmware) FortiOS 6.4 (FIPS-CC-64-5) and FortiOS 7.0 (FIPS-CC-70-6)
Tested configurations
  • FortiGate-61F with SoC4 (ARMv8) Processor
Vendor Fortinet, Inc. http://www.fortinet.com
Lab Lightship Security, Inc.
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES-256, AES, AES-192, HMAC, HMAC-SHA-256
Asymmetric Algorithms
RSAPSS, ECDSA, Diffie-Hellman
Hash functions
SHA-1, SHA1, SHA-224, SHA-256, SHA-384, SHA-512
Schemes
Key agreement
Protocols
SSH, SSL, TLS 1.1, TLS, TLS 1.2, IKE, IKEv2, IKEv1, IPsec, VPN
Randomness
DRBG, RBG
Elliptic Curves
P-256, curve P-256, curve P-384, curve P-521, P-384, P-521, secp256r1, secp384r1, secp521r1, Curve25519
Block cipher modes
CBC, GCM

Security level
Level 1, level 3

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 4443,
  "dgst": "b74c6293baa71a0c",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "SHS#A2269",
        "ECDSA#A2269",
        "#A2270",
        "SHS#A2225",
        "KTS#A2269",
        "AES#A2229",
        "CVL#A2269",
        "DRBG#A2229",
        "KAS#A2269",
        "KTS#A2270",
        "ECDSA#A2242",
        "KAS-SSC#A2269",
        "SHS#A2270",
        "KAS-SSC#A2270",
        "KAS#A2270",
        "DRBG#A2225",
        "HMAC#A2269",
        "SHS#A2229",
        "RSA#A2270",
        "#A2229",
        "#A2242",
        "AES#A2225",
        "HMAC#A2229",
        "RSA#A2242",
        "ECDSA#A2270",
        "RSA#A2269",
        "AES#A2242",
        "AES#A2269",
        "#A2225",
        "CVL#A2270",
        "SHS#A2242",
        "AES#A2270",
        "HMAC#A2270",
        "#A2269",
        "HMAC#A2225",
        "HMAC#A2242"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "7.0",
        "6.4"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 42,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDSA": {
            "ECDSA": 21
          }
        },
        "FF": {
          "DH": {
            "Diffie-Hellman": 11
          }
        },
        "RSA": {
          "RSAPSS": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 2
        },
        "GCM": {
          "GCM": 9
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 35,
          "IKEv1": 1,
          "IKEv2": 3
        },
        "IPsec": {
          "IPsec": 30
        },
        "SSH": {
          "SSH": 10
        },
        "TLS": {
          "SSL": {
            "SSL": 3
          },
          "TLS": {
            "TLS": 25,
            "TLS 1.1": 5,
            "TLS 1.2": 4
          }
        },
        "VPN": {
          "VPN": 20
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key agreement": 2
        }
      },
      "device_model": {},
      "ecc_curve": {
        "Curve": {
          "Curve25519": 1
        },
        "NIST": {
          "P-256": 14,
          "P-384": 8,
          "P-521": 8,
          "curve P-256": 6,
          "curve P-384": 4,
          "curve P-521": 4,
          "secp256r1": 1,
          "secp384r1": 1,
          "secp521r1": 1
        }
      },
      "eval_facility": {},
      "fips_cert_id": {},
      "fips_certlike": {
        "Certlike": {
          "AES (128": 9,
          "AES 128": 2,
          "AES 256": 3,
          "AES-192": 1,
          "AES-256": 1,
          "HMAC SHA-1": 1,
          "HMAC SHA-256": 3,
          "HMAC SHA-384": 1,
          "HMAC SHA-512": 1,
          "HMAC-SHA-256": 6,
          "HMACSHA-1": 3,
          "HMACSHA-224": 1,
          "HMACSHA-256": 4,
          "HMACSHA-384": 2,
          "HMACSHA-512": 2,
          "RSAPKCS1": 1,
          "SHA- 512": 1,
          "SHA-1": 6,
          "SHA-224": 2,
          "SHA-256": 12,
          "SHA-384": 5,
          "SHA-512": 3,
          "SHA1": 1,
          "SHA2- 384": 2,
          "SHA2-224": 2,
          "SHA2-256": 2,
          "SHA2-512": 2
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 3,
          "level 3": 1
        }
      },
      "hash_function": {
        "SHA": {
          "SHA1": {
            "SHA-1": 6,
            "SHA1": 1
          },
          "SHA2": {
            "SHA-224": 2,
            "SHA-256": 12,
            "SHA-384": 5,
            "SHA-512": 3
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 18
        },
        "RNG": {
          "RBG": 1
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140": 2,
          "FIPS 140-2": 51,
          "FIPS140-2": 1
        },
        "NIST": {
          "NIST SP 800-186": 1,
          "NIST SP 800-90A": 2,
          "SP 800-133": 4,
          "SP 800-52": 1,
          "SP 800-90A": 1,
          "SP 800-90B": 1
        },
        "RFC": {
          "RFC 4252": 1,
          "RFC 5246": 1,
          "RFC 5288": 1,
          "RFC 7296": 1,
          "RFC7627": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 34,
            "AES-192": 1,
            "AES-256": 1
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 7,
            "HMAC-SHA-256": 3
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "SHS#A2269",
        "ECDSA#A2269",
        "SHS#A2225",
        "KTS#A2269",
        "AES#A2229",
        "CVL#A2269",
        "DRBG#A2229",
        "KAS#A2269",
        "KTS#A2270",
        "ECDSA#A2242",
        "KAS-SSC#A2269",
        "SHS#A2270",
        "KAS-SSC#A2270",
        "HMAC#A2242",
        "DRBG#A2225",
        "HMAC#A2269",
        "SHS#A2229",
        "RSA#A2270",
        "AES#A2225",
        "HMAC#A2229",
        "RSA#A2242",
        "RSA#A2269",
        "ECDSA#A2270",
        "AES#A2242",
        "AES#A2269",
        "CVL#A2270",
        "SHS#A2242",
        "AES#A2270",
        "HMAC#A2270",
        "HMAC#A2225",
        "KAS#A2270"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#A2225",
        "#A2270",
        "#A2229",
        "#A2242",
        "#A2269"
      ]
    },
    "policy_metadata": {
      "/Author": "Fortinet Technical Documentation",
      "/CreationDate": "D:20230215131630-05\u002700\u0027",
      "/Keywords": "",
      "/ModDate": "D:20230215131630-05\u002700\u0027",
      "/Producer": "madbuild",
      "/Subject": "",
      "/Title": "FortiOS 6.x FIPS 140-1 Level 2 Security Policy",
      "pdf_file_size_bytes": 335326,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://fortiguard.com/",
          "https://support.fortinet.com/",
          "http://www.fortinet.com/products",
          "http://docs.fortinet.com/",
          "https://video.fortinet.com/",
          "mailto:[email protected]",
          "http://www.fortinet.com/support",
          "http://kb.fortinet.com/",
          "https://training.fortinet.com/",
          "http://forticast.fortinet.com/",
          "http://fortiguard.com/",
          "https://www.fortinet.com/corporate/about-us/privacy.html",
          "http://csrc.nist.gov/groups/STM/cmvp/index.html",
          "https://blog.fortinet.com/",
          "https://www.fortinet.com/doc/legal/EULA.pdf",
          "http://www.fortinet.com/contact",
          "https://docs.fortinet.com/"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 30
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "709be1d0e5f71184ccae786c4e754a2183856fb19c5f12416210d8a740909955",
      "source_hash": "6b78912ce55f48baff8f6415b7091946e0674e92208ba529ab4412b4f4a37a30",
      "txt_hash": "a73e22678e1517fe96fd148c157486547d4c62f0c4f91f4351ad4c9327c27990"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode. Authentication at level 3 is only applicable when identity-based authentication is enforced for the User role.",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/February 2023_010323_0649.pdf",
    "date_sunset": null,
    "description": "The FortiOS 6.4/7.0 is a firmware based operating system that runs exclusively on Fortinet\u0027s FortiGate/FortiWiFi product family. The FortiOS provides integrated firewall, VPN, antivirus, antispam, intrusion prevention, content filtering and traffic shaping and HA capabilities.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Roles, Services, and Authentication: Level 3",
      "Design Assurance: Level 2"
    ],
    "fw_versions": "FortiOS 6.4 (FIPS-CC-64-5) and FortiOS 7.0 (FIPS-CC-70-6)",
    "historical_reason": "Moved to historical list due to sunsetting",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "FortiOS 6.4/7.0",
    "module_type": "Firmware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": [
      "FortiGate-61F with SoC4 (ARMv8) Processor"
    ],
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2023-02-23",
        "lab": "Lightship Security, Inc.",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Fortinet, Inc.",
    "vendor_url": "http://www.fortinet.com"
  }
}